package com.sundot.airport.exam.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.exam.common.model.BaseEntity;
import com.sundot.airport.exam.enums.QuesCompScoreTypeEnum;

import java.io.Serializable;

/**
 * <b>功能名：</b>TestPaperQues<br>
 * <b>说明：</b> 试卷题目计分表 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-18 liangxiao
 */
@TableName("edu_cs_test_paper_ques")
public class TestPaperQues extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务主键
     */
    private String tpqId;

    /**
     * 题目满分（用于统计）
     */
    private Integer tpqTotalScore;

    /**
     * 积分方式
     * - LEFT左增；RIGHT右减
     */
    private QuesCompScoreTypeEnum tpqCompType;

    /**
     * A情况分值
     */
    private Integer tpqLeftScore;

    /**
     * B情况分值（一般是减分）
     */
    private Integer tpqRightScore;

    /**
     * 试卷表业务主键
     */
    private String tpId;

    /**
     * 题干表业务主键
     */
    private String quId;

    /**
     * 题目排序
     */
    private Integer sort;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTpqId() {
        return tpqId;
    }

    public void setTpqId(String tpqId) {
        this.tpqId = tpqId;
    }

    public Integer getTpqTotalScore() {
        return tpqTotalScore;
    }

    public void setTpqTotalScore(Integer tpqTotalScore) {
        this.tpqTotalScore = tpqTotalScore;
    }

    public QuesCompScoreTypeEnum getTpqCompType() {
        return tpqCompType;
    }

    public void setTpqCompType(QuesCompScoreTypeEnum tpqCompType) {
        this.tpqCompType = tpqCompType;
    }

    public Integer getTpqLeftScore() {
        return tpqLeftScore;
    }

    public void setTpqLeftScore(Integer tpqLeftScore) {
        this.tpqLeftScore = tpqLeftScore;
    }

    public Integer getTpqRightScore() {
        return tpqRightScore;
    }

    public void setTpqRightScore(Integer tpqRightScore) {
        this.tpqRightScore = tpqRightScore;
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    public String getQuId() {
        return quId;
    }

    public void setQuId(String quId) {
        this.quId = quId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "TestPaperQues{" +
                "id=" + id +
                ", tpqId=" + tpqId +
                ", tpqTotalScore=" + tpqTotalScore +
                ", tpqCompType=" + tpqCompType +
                ", tpqLeftScore=" + tpqLeftScore +
                ", tpqRightScore=" + tpqRightScore +
                ", tpId=" + tpId +
                ", quId=" + quId +
                ", sort=" + sort +
                "}";
    }
}